import Global from '../../_global.mdx';

# cli completion sh update

Updates command completion for Zsh, Bash and Fish

## Usage

```sh
m365 cli completion sh update [options]
```

## Options

<Global />

## Remarks

This commands updates the list of commands and their options used by command completion in Zsh, Bash and Fish. You should run this command each time after upgrading the CLI for Microsoft 365.

## Examples

Update list of commands for Zsh, Bash and Fish command completion

```sh
m365 cli completion sh update
```

## Response

The command won't return a response on success.

## More information

- Command completion: [https://pnp.github.io/cli-microsoft365/user-guide/completion/](https://pnp.github.io/cli-microsoft365/user-guide/completion/)
